package com.aucma.report.domain;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonProperty;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.aucma.common.annotation.Excel;
import com.aucma.common.core.domain.BaseEntity;

/**
 * 灌注记录对象 perfusion_record
 *
 * @author Yinq
 * @date 2024-03-14
 */
public class PerfusionRecord extends BaseEntity {
    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
    private Long objId;

    /**
     * 箱体码
     */
    @Excel(name = "箱体码")
    private String perfusionBoxcode;

    /**
     * 左侧冷媒型号
     */
    @Excel(name = "左侧冷媒型号")
    private String perfusionRefrigeranttypeleft;

    /**
     * 右侧侧冷媒型号
     */
    @Excel(name = "右侧侧冷媒型号")
    private String perfusionRefrigeranttyperight;

    /**
     * 设置灌注量
     */
    @Excel(name = "设置灌注量")
    private String perfusionSetvolume;

    /**
     * 实际灌注量
     */
    @Excel(name = "实际灌注量")
    private String perfusionActualvolume;

    /**
     * 灌注压力_R;灌注压力_R
     */
    @Excel(name = "灌注压力_R;灌注压力_R")
    private String perfusionR;

    /**
     * 灌注压力_L;灌注压力_L
     */
    @Excel(name = "灌注压力_L;灌注压力_L")
    private String perfusionL;

    /**
     * 灌注时长
     */
    @Excel(name = "灌注时长")
    private String perfusionDuration;

    /**
     * 系统
     * 0,右系统 ；1，左系统
     */
    @Excel(name = "系统")
    private String perfusionSystem;

    /**
     * 创建人
     */
    @Excel(name = "创建人")
    private String createdBy;

    /**
     * 创建时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date createdTime;

    /**
     * 更新人
     */
    @Excel(name = "更新人")
    private String updatedBy;

    /**
     * 更新时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss")
    private Date updatedTime;

    /**
     * 灌注结果
     * 8:正常结束，充注成功 4:异常结束，充注不成功
     */
    @Excel(name = "灌注结果")
    private Long perfusionResult;

    /**
     * 产量
     */
    @Excel(name = "产量")
    private String yield;

    /**
     * 灌注完成状态字
     * 1:充注结束
     */
    @Excel(name = "灌注完成状态字")
    private String finishStatus;

    /**
     * 产线编号
     */
    @Excel(name = "产线编号")
    private String PRODUCT_LINE_CODE;

    public String getPRODUCT_LINE_CODE() {
        return PRODUCT_LINE_CODE;
    }

    public void setPRODUCT_LINE_CODE(String PRODUCT_LINE_CODE) {
        this.PRODUCT_LINE_CODE = PRODUCT_LINE_CODE;
    }

    public void setObjId(Long objId) {
        this.objId = objId;
    }

    public Long getObjId() {
        return objId;
    }

    public void setPerfusionBoxcode(String perfusionBoxcode) {
        this.perfusionBoxcode = perfusionBoxcode;
    }

    public String getPerfusionBoxcode() {
        return perfusionBoxcode;
    }

    public void setPerfusionRefrigeranttypeleft(String perfusionRefrigeranttypeleft) {
        this.perfusionRefrigeranttypeleft = perfusionRefrigeranttypeleft;
    }

    public String getPerfusionRefrigeranttypeleft() {
        return perfusionRefrigeranttypeleft;
    }

    public void setPerfusionRefrigeranttyperight(String perfusionRefrigeranttyperight) {
        this.perfusionRefrigeranttyperight = perfusionRefrigeranttyperight;
    }

    public String getPerfusionRefrigeranttyperight() {
        return perfusionRefrigeranttyperight;
    }

    public void setPerfusionSetvolume(String perfusionSetvolume) {
        this.perfusionSetvolume = perfusionSetvolume;
    }

    public String getPerfusionSetvolume() {
        return perfusionSetvolume;
    }

    public void setPerfusionActualvolume(String perfusionActualvolume) {
        this.perfusionActualvolume = perfusionActualvolume;
    }

    public String getPerfusionActualvolume() {
        return perfusionActualvolume;
    }

    public void setPerfusionR(String perfusionR) {
        this.perfusionR = perfusionR;
    }

    public String getPerfusionR() {
        return perfusionR;
    }

    public void setPerfusionL(String perfusionL) {
        this.perfusionL = perfusionL;
    }

    public String getPerfusionL() {
        return perfusionL;
    }

    public void setPerfusionDuration(String perfusionDuration) {
        this.perfusionDuration = perfusionDuration;
    }

    public String getPerfusionDuration() {
        return perfusionDuration;
    }

    public void setPerfusionSystem(String perfusionSystem) {
        this.perfusionSystem = perfusionSystem;
    }

    public String getPerfusionSystem() {
        return perfusionSystem;
    }

    public void setCreatedBy(String createdBy) {
        this.createdBy = createdBy;
    }

    public String getCreatedBy() {
        return createdBy;
    }

    public void setCreatedTime(Date createdTime) {
        this.createdTime = createdTime;
    }

    public Date getCreatedTime() {
        return createdTime;
    }

    public void setUpdatedBy(String updatedBy) {
        this.updatedBy = updatedBy;
    }

    public String getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedTime(Date updatedTime) {
        this.updatedTime = updatedTime;
    }

    public Date getUpdatedTime() {
        return updatedTime;
    }

    public void setPerfusionResult(Long perfusionResult) {
        this.perfusionResult = perfusionResult;
    }

    public Long getPerfusionResult() {
        return perfusionResult;
    }

    public void setYield(String yield) {
        this.yield = yield;
    }

    public String getYield() {
        return yield;
    }

    public void setFinishStatus(String finishStatus) {
        this.finishStatus = finishStatus;
    }

    public String getFinishStatus() {
        return finishStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("objId", getObjId())
                .append("perfusionBoxcode", getPerfusionBoxcode())
                .append("perfusionRefrigeranttypeleft", getPerfusionRefrigeranttypeleft())
                .append("perfusionRefrigeranttyperight", getPerfusionRefrigeranttyperight())
                .append("perfusionSetvolume", getPerfusionSetvolume())
                .append("perfusionActualvolume", getPerfusionActualvolume())
                .append("perfusionR", getPerfusionR())
                .append("perfusionL", getPerfusionL())
                .append("perfusionDuration", getPerfusionDuration())
                .append("perfusionSystem", getPerfusionSystem())
                .append("createdBy", getCreatedBy())
                .append("createdTime", getCreatedTime())
                .append("updatedBy", getUpdatedBy())
                .append("updatedTime", getUpdatedTime())
                .append("perfusionResult", getPerfusionResult())
                .append("yield", getYield())
                .append("finishStatus", getFinishStatus())
                .toString();
    }
}
